﻿namespace Connected.Models.Alert;
public class AlertOptions
{
	Severity Severity { get; set; } = Severity.Info;
	public bool ShowHeader { get; set; } = true;
	public bool Cancelable { get; set; } = true;

	public AlertOptions()
	{
		Severity = Severity.Info;
		ShowHeader = true;
		Cancelable = true;
	}

	public AlertOptions(Severity severity, bool showHeader, bool cancelable)
	{
		Severity = severity;
		ShowHeader = showHeader;
		Cancelable = cancelable;
	}
}
