using System.Collections.ObjectModel;

namespace Connected.Components.Showcase.Runner;

public partial class DropdownDemo
{
	private ObservableCollection<TestObject> SelectedItems { get; set; } = new();

	private ObservableCollection<TestObject> Items { get; set; } = new ObservableCollection<TestObject>
	{
		new TestObject
		{
			Name= "Simple",
			Value = 1
		},
		new TestObject
		{
			Name = "Simpler",
			Value = 2
		}
	};

	public class TestObject
	{
		public string Name { get; set; }

		public long Value { get; set; }
	}
}